Put news articles into <article> tags
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: News Estimated time: 0.00 hour

Target version: 3.1.0   

Description

The news article HTML should be wrapped in <article> tags. This follows HTML5 practices, and makes theme styling easier.

Associated revisions

Revision 14308 - 2015-06-13 13:15 - Jean-Philippe Lang

Put news articles into <article> tags (#19339).

Patch by An Phan.

History

#1 - 2015-03-11 08:49 - Toshi MARUYAMA

- Target version set to 3.1.0

#2 - 2015-03-21 11:27 - Jean-Philippe Lang

Why not doing the same on the news detail page, eg. /news/1?

#3 - 2015-03-21 12:43 - An Phan

We sure can, but is it necessary though? The news details are directly wrapped in the #main div itself.

#4 - 2015-06-13 13:15 - Jean-Philippe Lang

- Subject changed from Put news articles into, well, <article> tags to Put news articles into <article> tags

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Comitted in r14308, thanks.

Files

better-news-structure.diff 1.34 KB 2015-03-11 An Phan
